const baseUrl = 'https://api.charleskeith.cn/api' // 请求的本域名
const reportUrl = 'http://192.168.138.55:8081/api'

const install = (Vue, vm) => {
	/*************** 认证 API *****************/
	// 登录
	let quickLogin = params => vm.$u.post(`${baseUrl}/report/user/quickLogin`, params)
    // 注册
    let register = params => vm.$u.post(`${baseUrl}/report/user/register`, params)
	// 报表列表
	const getReportList = params => vm.$u.get(`${reportUrl}/report/chart/getList`, params)
	// 数据集
	const dataSetPreview = params => vm.$u.post(`${reportUrl}/report/dataset/preview`, params)
	// 检查授权状态
	const getAuthorized = params => vm.$u.get(`${baseUrl}/report/user/getAuthorized`, params)
    // 获取用户数据
    const getUserListCount = params => vm.$u.get(`${baseUrl}/report/user/getUserListCount`, params)
    // 修改密码
    const changePassword = params => vm.$u.post(`${baseUrl}/report/user/changePassword`, params)
    // 获取用户数据
    const getAuthorizedList = params => vm.$u.get(`${baseUrl}/report/user/getAuthorizedList`, params)
    // 授权/取消授权
    const authorizeOrUnauthorize = params => vm.$u.post(`${baseUrl}/report/user/authorizeOrUnauthorize`, params)
    // 获取OPENID
    const getOpenId = params => vm.$u.get(`${baseUrl}/report/user/getOpenId`, params)
	
	vm.$u.api = {
		quickLogin,
        register,
		getReportList,
		dataSetPreview,
        getAuthorized,
        getUserListCount,
        changePassword,
        getAuthorizedList,
        authorizeOrUnauthorize,
        getOpenId
	}
}

export default {
	install
}